truncate helptopics;

INSERT INTO helptopics (helptopicid,helptopictitle,helptopickeywords,helptopiclevel,helptopicsort,helptopictext) VALUES (1,'About Help','editing help edit editor',0,1,'<p>Gyroscope has an integrated user manual. Out of the box, this manual is blank except for a few starter entries.</p>\n\n\n\n\n\n\n\n<p>Unlike the In-App Help Dots that can be dismissed by individual users, the Help works as a digital book. As the Gyroscope project is implemented, a comprehensive user manual should be produced over time. The goal is to document concepts and processes in a searchable manner.</p>\n\n<p>The Help content is accessible to all users. Only users with the \"edit help topics\" capability can modify the content. This is set in \"Settings &gt; Users\".</p>\n<p>Images in Help documents are not password protected. Authors of the Manual should be mindful of not to include any sensitive information in embedded screenshots.</p>\n<p>For security reasons, the interactivity of the help document is greatly reduced. Links to external sites can only be opened in new windows or tabs.</p>\n<p>Refer to \"Editing Help Topics\" on a how to perform the typical editing tasks.</p>\n<p>Refer to \"Developer\'s Notes\" for the initial setup instructions and programming considerations.</p>'),(4,'Developer\'s Notes','',1,5,'<div class=\"headline\">\n<p>Sandboxing</p>\n\n\n\n</div>\n\n\n\n<p>The help text is displayed in a sandbox\'ed iframe to prevent script injection. The iframe\'d page cannot run any JavaScript functions, let alone communicating and tampering the parent page.</p>\n\n<p>If the viewing browser does not support the sandbox attribute in iframe, an error message is displayed and the HTML viewer will be hidden.</p>\n\n\n\n<div class=\"headline\">\n<p>Media Library</p>\n\n\n\n</div>\n\n\n\n\n<p>With a commercial license, the Gyroscope project is likely to have a Media Library set up. The Media Library uploader stores files at the medialib folder, one level above the Gyroscope root.</p>\n\n<p>Without the Media Library or any file uploader, the image path can still be manually edited using the source editor.</p>\n\n\n\n<div class=\"headline\">\n<p>GS-Split</p>\n\n\n</div>\n\n\n\n\n<p>The User Manual should capture the generalized practice even in a multi-tenant product. Therefore, help topics are not GS-split in the database. In a single-tenant setup, the owner of the business, or the chief controller should be writing the manual. In multi-tenancy, the SAAS product owner should be the author. If the task of writing a manual must fall onto each multi-tenant users, the GS-split can be implemented by extending the <em>helptopics</em> table and key in appropriate <em>gsid</em> touchpoints.</p>\n\n\n\n<div class=\"headline\">\n<p>Single Tab</p>\n\n\n\n</div>\n\n\n\n<p>By default, each help topic opens in its own tab. It might be desirable to prevent \"tab littering\" in certain scenarios. The showhelptopic function in helptopics.js can be used to merge the tab keys. Remember to call closetab beforehand to prevent the cross-wiring or collision of tab keys.</p>\n'),(5,'Editing Help Topics','help',1,4,'<div class=\"headline\">\n<p>Organize Topics</p>\n\n\n\n\n\n\n\n</div>\n\n\n\n\n\n\n\n<p>The Help library is a collection of topics, organized in a flat structure. The indentation of each topic can be adjusted to create the impression of hierarachy. The main level topics are displayed in <strong>bold</strong>. Sub-levels are in <em>italic</em>. The highest indentation level is 4.</p>\n\n\n\n<p>The gray handle bar to the left of a help topic can be dragged to rearrange its ordering. On a mobile device, touch the handle bars on both sides of an item until they start flashing. Then touch the destination to complete the rearrangement.</p>\n\n\n\n\n\n\n\n\n<div class=\"headline\">\n<p>Editing a Single Topic</p>\n\n\n\n\n\n\n\n</div>\n\n\n\n\n\n\n\n<p>Each help topic consists of a title, a list of additional keywords and a content, or \"help text\". All three fields are searchable. The additional keywords field may contain extra trigger words that are not in the content.</p>\n\n\n<p>Depending on the application, the author of the manual may ask a developer to change the search behavior so that the content of a help topic is not subjected to search. This may help reduce false positives or irrelevant matches.</p>\n\n\n<p>On top of the help content editor there is a \"<span style=\"color: #3366ff;\">Help Text</span>\" link. Click on the link to scroll the editor to a comfortable position. This step is not necessary but it makes the editing experience more pleasant.</p>\n\n\n\n\n\n<p>It is recommended that each help topic is first typed out, and then applied with styling. The use of the Heading style (the \"H1\" button) can get tricky if the surrounding non-heading text is not already typed out. The same goes with images. Leave the space for images first, and insert them later.</p>\n\n<p>The Help editor inherits the same capabilities as other template editors in your Gyroscope project. This means the method of inserting images varies.</p>\n<p>If the Media Library, a component that\'s typically shipped with the Blog Editor, is enabled, it is highly recommended that images be uploaded to the local server first. Embeding external images should be discouraged as it compromises the content integrity.</p>\n\n\n<p>Video clips cannot be played directly for security reasons. A link to the external hosting site can be placed. Remember to select \"Open link in a new window\" option in link settings.</p>\n');
